Help us improve your experience.

Let us know what you think.

Do you have time for a two-minute survey?

Navigation
Guide That Contains This Content
[+] Expand All
[-] Collapse All

    Network Director Mobile System Requirements

    Network Director Mobile runs in a mobile web browser on tablet devices. It has the following system requirements:

    • On Apple iPad2, iPad3, and iPad mini devices:
      • Operating system versions 6.1.3 and 7.0.
      • Apple Safari browser versions included with the supported operating system versions.
    • On Android tablet devices:
      • Android version 4.1.
      • Google Chrome browser version 29.0.1547.59 and higher.

    Modified: 2018-01-24